com.amazonaws.services.codedeploy.model

## Class DeploymentInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.DeploymentInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeploymentInfo
    extends Object
    implements Serializable, Cloneable

Information about a deployment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeploymentInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeploymentInfo` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The application name.
`AutoRollbackConfiguration` `getAutoRollbackConfiguration()` Information about the automatic rollback configuration associated with the deployment.
`Date` `getCompleteTime()` A timestamp indicating when the deployment was complete.
`Date` `getCreateTime()` A timestamp indicating when the deployment was created.
`String` `getCreator()` The means by which the deployment was created:
`String` `getDeploymentConfigName()` The deployment configuration name.
`String` `getDeploymentGroupName()` The deployment group name.
`String` `getDeploymentId()` The deployment ID.
`DeploymentOverview` `getDeploymentOverview()` A summary of the deployment status of the instances in the deployment.
`String` `getDescription()` A comment about the deployment.
`ErrorInformation` `getErrorInformation()` Information about any error associated with this deployment.
`Boolean` `getIgnoreApplicationStopFailures()` If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`RevisionLocation` `getRevision()` Information about the location of stored application artifacts and the service from which to retrieve them.
`RollbackInfo` `getRollbackInfo()` Information about a deployment rollback.
`Date` `getStartTime()` A timestamp indicating when the deployment was deployed to the deployment group.
`String` `getStatus()` The current state of the deployment as a whole.
`Boolean` `getUpdateOutdatedInstancesOnly()` Indicates whether only instances that are not running the latest application revision are to be deployed to.
`int` `hashCode()`
`Boolean` `isIgnoreApplicationStopFailures()` If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`Boolean` `isUpdateOutdatedInstancesOnly()` Indicates whether only instances that are not running the latest application revision are to be deployed to.
`void` `setApplicationName(String applicationName)` The application name.
`void` `setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information about the automatic rollback configuration associated with the deployment.
`void` `setCompleteTime(Date completeTime)` A timestamp indicating when the deployment was complete.
`void` `setCreateTime(Date createTime)` A timestamp indicating when the deployment was created.
`void` `setCreator(DeploymentCreator creator)` The means by which the deployment was created:
`void` `setCreator(String creator)` The means by which the deployment was created:
`void` `setDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`void` `setDeploymentGroupName(String deploymentGroupName)` The deployment group name.
`void` `setDeploymentId(String deploymentId)` The deployment ID.
`void` `setDeploymentOverview(DeploymentOverview deploymentOverview)` A summary of the deployment status of the instances in the deployment.
`void` `setDescription(String description)` A comment about the deployment.
`void` `setErrorInformation(ErrorInformation errorInformation)` Information about any error associated with this deployment.
`void` `setIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)` If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`void` `setRevision(RevisionLocation revision)` Information about the location of stored application artifacts and the service from which to retrieve them.
`void` `setRollbackInfo(RollbackInfo rollbackInfo)` Information about a deployment rollback.
`void` `setStartTime(Date startTime)` A timestamp indicating when the deployment was deployed to the deployment group.
`void` `setStatus(DeploymentStatus status)` The current state of the deployment as a whole.
`void` `setStatus(String status)` The current state of the deployment as a whole.
`void` `setUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)` Indicates whether only instances that are not running the latest application revision are to be deployed to.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeploymentInfo` `withApplicationName(String applicationName)` The application name.
`DeploymentInfo` `withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)` Information about the automatic rollback configuration associated with the deployment.
`DeploymentInfo` `withCompleteTime(Date completeTime)` A timestamp indicating when the deployment was complete.
`DeploymentInfo` `withCreateTime(Date createTime)` A timestamp indicating when the deployment was created.
`DeploymentInfo` `withCreator(DeploymentCreator creator)` The means by which the deployment was created:
`DeploymentInfo` `withCreator(String creator)` The means by which the deployment was created:
`DeploymentInfo` `withDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`DeploymentInfo` `withDeploymentGroupName(String deploymentGroupName)` The deployment group name.
`DeploymentInfo` `withDeploymentId(String deploymentId)` The deployment ID.
`DeploymentInfo` `withDeploymentOverview(DeploymentOverview deploymentOverview)` A summary of the deployment status of the instances in the deployment.
`DeploymentInfo` `withDescription(String description)` A comment about the deployment.
`DeploymentInfo` `withErrorInformation(ErrorInformation errorInformation)` Information about any error associated with this deployment.
`DeploymentInfo` `withIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)` If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.
`DeploymentInfo` `withRevision(RevisionLocation revision)` Information about the location of stored application artifacts and the service from which to retrieve them.
`DeploymentInfo` `withRollbackInfo(RollbackInfo rollbackInfo)` Information about a deployment rollback.
`DeploymentInfo` `withStartTime(Date startTime)` A timestamp indicating when the deployment was deployed to the deployment group.
`DeploymentInfo` `withStatus(DeploymentStatus status)` The current state of the deployment as a whole.
`DeploymentInfo` `withStatus(String status)` The current state of the deployment as a whole.
`DeploymentInfo` `withUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)` Indicates whether only instances that are not running the latest application revision are to be deployed to.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeploymentInfo

    public DeploymentInfo()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.

#### getApplicationName

    public String getApplicationName()

The application name.

Returns:
  The application name.

#### withApplicationName

    public DeploymentInfo withApplicationName(String applicationName)

The application name.

Parameters:
  `applicationName` - The application name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupName

    public void setDeploymentGroupName(String deploymentGroupName)

The deployment group name.

Parameters:
  `deploymentGroupName` - The deployment group name.

#### getDeploymentGroupName

    public String getDeploymentGroupName()

The deployment group name.

Returns:
  The deployment group name.

#### withDeploymentGroupName

    public DeploymentInfo withDeploymentGroupName(String deploymentGroupName)

The deployment group name.

Parameters:
  `deploymentGroupName` - The deployment group name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The deployment configuration name.

Returns:
  The deployment configuration name.

#### withDeploymentConfigName

    public DeploymentInfo withDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

The deployment ID.

Parameters:
  `deploymentId` - The deployment ID.

#### getDeploymentId

    public String getDeploymentId()

The deployment ID.

Returns:
  The deployment ID.

#### withDeploymentId

    public DeploymentInfo withDeploymentId(String deploymentId)

The deployment ID.

Parameters:
  `deploymentId` - The deployment ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRevision

    public void setRevision(RevisionLocation revision)

Information about the location of stored application artifacts and the service from which to retrieve them.

Parameters:
  `revision` - Information about the location of stored application artifacts and the service from which to retrieve them.

#### getRevision

    public RevisionLocation getRevision()

Information about the location of stored application artifacts and the service from which to retrieve them.

Returns:
  Information about the location of stored application artifacts and the service from which to retrieve them.

#### withRevision

    public DeploymentInfo withRevision(RevisionLocation revision)

Information about the location of stored application artifacts and the service from which to retrieve them.

Parameters:
  `revision` - Information about the location of stored application artifacts and the service from which to retrieve them.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current state of the deployment as a whole.

Parameters:
  `status` - The current state of the deployment as a whole.
See Also:
  `DeploymentStatus`

#### getStatus

    public String getStatus()

The current state of the deployment as a whole.

Returns:
  The current state of the deployment as a whole.
See Also:
  `DeploymentStatus`

#### withStatus

    public DeploymentInfo withStatus(String status)

The current state of the deployment as a whole.

Parameters:
  `status` - The current state of the deployment as a whole.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentStatus`

#### setStatus

    public void setStatus(DeploymentStatus status)

The current state of the deployment as a whole.

Parameters:
  `status` - The current state of the deployment as a whole.
See Also:
  `DeploymentStatus`

#### withStatus

    public DeploymentInfo withStatus(DeploymentStatus status)

The current state of the deployment as a whole.

Parameters:
  `status` - The current state of the deployment as a whole.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentStatus`

#### setErrorInformation

    public void setErrorInformation(ErrorInformation errorInformation)

Information about any error associated with this deployment.

Parameters:
  `errorInformation` - Information about any error associated with this deployment.

#### getErrorInformation

    public ErrorInformation getErrorInformation()

Information about any error associated with this deployment.

Returns:
  Information about any error associated with this deployment.

#### withErrorInformation

    public DeploymentInfo withErrorInformation(ErrorInformation errorInformation)

Information about any error associated with this deployment.

Parameters:
  `errorInformation` - Information about any error associated with this deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreateTime

    public void setCreateTime(Date createTime)

A timestamp indicating when the deployment was created.

Parameters:
  `createTime` - A timestamp indicating when the deployment was created.

#### getCreateTime

    public Date getCreateTime()

A timestamp indicating when the deployment was created.

Returns:
  A timestamp indicating when the deployment was created.

#### withCreateTime

    public DeploymentInfo withCreateTime(Date createTime)

A timestamp indicating when the deployment was created.

Parameters:
  `createTime` - A timestamp indicating when the deployment was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTime

    public void setStartTime(Date startTime)

A timestamp indicating when the deployment was deployed to the deployment group.

In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

Parameters:
  `startTime` - A timestamp indicating when the deployment was deployed to the deployment group.

  In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

#### getStartTime

    public Date getStartTime()

A timestamp indicating when the deployment was deployed to the deployment group.

In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

Returns:
  A timestamp indicating when the deployment was deployed to the deployment group.

  In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

#### withStartTime

    public DeploymentInfo withStartTime(Date startTime)

A timestamp indicating when the deployment was deployed to the deployment group.

In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

Parameters:
  `startTime` - A timestamp indicating when the deployment was deployed to the deployment group.

  In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCompleteTime

    public void setCompleteTime(Date completeTime)

A timestamp indicating when the deployment was complete.

Parameters:
  `completeTime` - A timestamp indicating when the deployment was complete.

#### getCompleteTime

    public Date getCompleteTime()

A timestamp indicating when the deployment was complete.

Returns:
  A timestamp indicating when the deployment was complete.

#### withCompleteTime

    public DeploymentInfo withCompleteTime(Date completeTime)

A timestamp indicating when the deployment was complete.

Parameters:
  `completeTime` - A timestamp indicating when the deployment was complete.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentOverview

    public void setDeploymentOverview(DeploymentOverview deploymentOverview)

A summary of the deployment status of the instances in the deployment.

Parameters:
  `deploymentOverview` - A summary of the deployment status of the instances in the deployment.

#### getDeploymentOverview

    public DeploymentOverview getDeploymentOverview()

A summary of the deployment status of the instances in the deployment.

Returns:
  A summary of the deployment status of the instances in the deployment.

#### withDeploymentOverview

    public DeploymentInfo withDeploymentOverview(DeploymentOverview deploymentOverview)

A summary of the deployment status of the instances in the deployment.

Parameters:
  `deploymentOverview` - A summary of the deployment status of the instances in the deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A comment about the deployment.

Parameters:
  `description` - A comment about the deployment.

#### getDescription

    public String getDescription()

A comment about the deployment.

Returns:
  A comment about the deployment.

#### withDescription

    public DeploymentInfo withDescription(String description)

A comment about the deployment.

Parameters:
  `description` - A comment about the deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreator

    public void setCreator(String creator)

The means by which the deployment was created:

- user: A user created the deployment.

- autoscaling: Auto Scaling created the deployment.

- codeDeployRollback: A rollback process created the deployment.

Parameters:
  `creator` - The means by which the deployment was created:

  - user: A user created the deployment.

  - autoscaling: Auto Scaling created the deployment.

  - codeDeployRollback: A rollback process created the deployment.

See Also:
  `DeploymentCreator`

#### getCreator

    public String getCreator()

The means by which the deployment was created:

- user: A user created the deployment.

- autoscaling: Auto Scaling created the deployment.

- codeDeployRollback: A rollback process created the deployment.

Returns:
  The means by which the deployment was created:

  - user: A user created the deployment.

  - autoscaling: Auto Scaling created the deployment.

  - codeDeployRollback: A rollback process created the deployment.

See Also:
  `DeploymentCreator`

#### withCreator

    public DeploymentInfo withCreator(String creator)

The means by which the deployment was created:

- user: A user created the deployment.

- autoscaling: Auto Scaling created the deployment.

- codeDeployRollback: A rollback process created the deployment.

Parameters:
  `creator` - The means by which the deployment was created:

  - user: A user created the deployment.

  - autoscaling: Auto Scaling created the deployment.

  - codeDeployRollback: A rollback process created the deployment.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentCreator`

#### setCreator

    public void setCreator(DeploymentCreator creator)

The means by which the deployment was created:

- user: A user created the deployment.

- autoscaling: Auto Scaling created the deployment.

- codeDeployRollback: A rollback process created the deployment.

Parameters:
  `creator` - The means by which the deployment was created:

  - user: A user created the deployment.

  - autoscaling: Auto Scaling created the deployment.

  - codeDeployRollback: A rollback process created the deployment.

See Also:
  `DeploymentCreator`

#### withCreator

    public DeploymentInfo withCreator(DeploymentCreator creator)

The means by which the deployment was created:

- user: A user created the deployment.

- autoscaling: Auto Scaling created the deployment.

- codeDeployRollback: A rollback process created the deployment.

Parameters:
  `creator` - The means by which the deployment was created:

  - user: A user created the deployment.

  - autoscaling: Auto Scaling created the deployment.

  - codeDeployRollback: A rollback process created the deployment.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DeploymentCreator`

#### setIgnoreApplicationStopFailures

    public void setIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)

If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Parameters:
  `ignoreApplicationStopFailures` - If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### getIgnoreApplicationStopFailures

    public Boolean getIgnoreApplicationStopFailures()

If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### withIgnoreApplicationStopFailures

    public DeploymentInfo withIgnoreApplicationStopFailures(Boolean ignoreApplicationStopFailures)

If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Parameters:
  `ignoreApplicationStopFailures` - If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isIgnoreApplicationStopFailures

    public Boolean isIgnoreApplicationStopFailures()

If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

Returns:
  If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.

  If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.

#### setAutoRollbackConfiguration

    public void setAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information about the automatic rollback configuration associated with the deployment.

Parameters:
  `autoRollbackConfiguration` - Information about the automatic rollback configuration associated with the deployment.

#### getAutoRollbackConfiguration

    public AutoRollbackConfiguration getAutoRollbackConfiguration()

Information about the automatic rollback configuration associated with the deployment.

Returns:
  Information about the automatic rollback configuration associated with the deployment.

#### withAutoRollbackConfiguration

    public DeploymentInfo withAutoRollbackConfiguration(AutoRollbackConfiguration autoRollbackConfiguration)

Information about the automatic rollback configuration associated with the deployment.

Parameters:
  `autoRollbackConfiguration` - Information about the automatic rollback configuration associated with the deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUpdateOutdatedInstancesOnly

    public void setUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)

Indicates whether only instances that are not running the latest application revision are to be deployed to.

Parameters:
  `updateOutdatedInstancesOnly` - Indicates whether only instances that are not running the latest application revision are to be deployed to.

#### getUpdateOutdatedInstancesOnly

    public Boolean getUpdateOutdatedInstancesOnly()

Indicates whether only instances that are not running the latest application revision are to be deployed to.

Returns:
  Indicates whether only instances that are not running the latest application revision are to be deployed to.

#### withUpdateOutdatedInstancesOnly

    public DeploymentInfo withUpdateOutdatedInstancesOnly(Boolean updateOutdatedInstancesOnly)

Indicates whether only instances that are not running the latest application revision are to be deployed to.

Parameters:
  `updateOutdatedInstancesOnly` - Indicates whether only instances that are not running the latest application revision are to be deployed to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isUpdateOutdatedInstancesOnly

    public Boolean isUpdateOutdatedInstancesOnly()

Indicates whether only instances that are not running the latest application revision are to be deployed to.

Returns:
  Indicates whether only instances that are not running the latest application revision are to be deployed to.

#### setRollbackInfo

    public void setRollbackInfo(RollbackInfo rollbackInfo)

Information about a deployment rollback.

Parameters:
  `rollbackInfo` - Information about a deployment rollback.

#### getRollbackInfo

    public RollbackInfo getRollbackInfo()

Information about a deployment rollback.

Returns:
  Information about a deployment rollback.

#### withRollbackInfo

    public DeploymentInfo withRollbackInfo(RollbackInfo rollbackInfo)

Information about a deployment rollback.

Parameters:
  `rollbackInfo` - Information about a deployment rollback.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeploymentInfo clone()

Overrides:
  `clone` in class `Object`